Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 814994 - (php-channel-symfony2) Review Request: php-channel-symfony2 - Adds pear.symfony.com channel to PEAR
Review Request: php-channel-symfony2 - Adds pear.symfony.com channel to PEAR
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christof Damian
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 817303 823041 823042 823043 823044 823046 823047 823050 823051 823054 823056 823058 823060 823062 823063 823065 823066 823070 823071 823073 823075 859270 859271
  Show dependency treegraph
 
Reported: 2012-04-21 19:35 EDT by Shawn Iwinski
Modified: 2012-09-20 20:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 13:31:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
christof: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shawn Iwinski 2012-04-21 19:35:29 EDT
Spec URL: https://raw.github.com/siwinski/symfony2-rpm-specs/master/php-channel-symfony2.spec
SRPM URL: https://github.com/downloads/siwinski/symfony2-rpm-specs/php-channel-symfony2-1.0-1.fc16.src.rpm

Description: This package adds the pear.symfony.com channel which allows PEAR packages from this channel to be installed.

NOTE: This is my *first* package and I would like sponsorship.  Also, I have all component specs from this PEAR channel ready for review request.
Comment 2 Christof Damian 2012-05-17 10:44:28 EDT
Hello Shawn, I am going to review as many of your symfony related packages this weekend as possible.

You can create the review requests for the other components too and make this one a blocker for them.

I can't sponsor you, but Remi will have a look once I finish the reviews.
Comment 3 Shawn Iwinski 2012-05-18 15:06:01 EDT
Thanks Christof.  I will upgrade all of the symfony related packages to 2.0.14 (release announced today) and submit those blocking review requests as soon as I can.
Comment 4 Shawn Iwinski 2012-05-18 18:43:33 EDT
All symfony related package review requests have been submitted and marked as blocked by this one.

Besides just the Symfony specific review requests, I also have Twig review requests submitted if interested:
* php-channel-twig (bug 817299)
* php-twig-Twig (bug 817302)

If possible, I would like to have all these packages available in EPEL as well.
Comment 5 Christof Damian 2012-05-20 04:49:55 EDT
(In reply to comment #4)
> All symfony related package review requests have been submitted and marked
> as blocked by this one.
> 
> Besides just the Symfony specific review requests, I also have Twig review
> requests submitted if interested:
> * php-channel-twig (bug 817299)
> * php-twig-Twig (bug 817302)

Yes, I saw them. I will check them too.

> If possible, I would like to have all these packages available in EPEL as
> well.

Once they are reviewed you only have to request a el6 branch and then you can build them the same as for the fedora releases.
Comment 6 Christof Damian 2012-05-20 06:03:38 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

I am discussing with Remi about the license for channel files, but in this
case MIT is OK as everything on the Symfony website is MIT licensed. 

[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.

see above

[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint php-channel-symfony2-1.0-1.fc18.src.rpm

php-channel-symfony2.src: W: spelling-error Summary(en_US) symfony -> symphony
php-channel-symfony2.src: W: spelling-error %description -l en_US symfony -> symphony
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint php-channel-symfony2-1.0-1.fc18.noarch.rpm

php-channel-symfony2.noarch: W: spelling-error Summary(en_US) symfony -> symphony
php-channel-symfony2.noarch: W: spelling-error %description -l en_US symfony -> symphony
php-channel-symfony2.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

These are all warnings and expected.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/cdamian/fedora/reviews/814994/channel.xml :
  MD5SUM this package     : 23caa76bd3b1799367686c640f15c041
  MD5SUM upstream package : 23caa76bd3b1799367686c640f15c041

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define.
     Note: %define pear_channel pear.symfony.com

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Rpmlint output is silent.

All of these are minor problems and some can be fixed in future updates.

ACCEPT

You now have to wait to be sponsored before continuing with the process
Comment 7 Shawn Iwinski 2012-05-20 13:23:00 EDT
Updates per comment #6

- %global instead of %define
- Removed BuildRoot
- Removed %defattr from %files section
- Minor syntax update in %post section

SPEC URL:
http://people.redhat.com/siwinski/rpmbuild/SPECS/php-channel-symfony2.spec

SRPM URL:
http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-channel-symfony2-1.0-2.fc16.src.rpm
Comment 8 Remi Collet 2012-06-06 12:13:10 EDT
As you are now in the packager group, you can now open the SCN request and proceed to the package import.

Please import the approved version and then commit your post review changes.
Comment 9 Shawn Iwinski 2012-06-06 16:29:14 EDT
New Package SCM Request
=======================
Package Name: php-channel-symfony2
Short Description: Adds pear.symfony.com channel to PEAR
Owners: siwinski
Branches: f16 f17 el6
InitialCC:
Comment 10 Gwyn Ciesla 2012-06-07 08:13:13 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-06-09 02:28:39 EDT
php-channel-symfony2-1.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-channel-symfony2-1.0-3.el6
Comment 12 Fedora Update System 2012-06-09 02:33:23 EDT
php-channel-symfony2-1.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-channel-symfony2-1.0-3.fc17
Comment 13 Fedora Update System 2012-06-09 02:35:43 EDT
php-channel-symfony2-1.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-channel-symfony2-1.0-3.fc16
Comment 14 Fedora Update System 2012-06-09 15:25:32 EDT
php-channel-symfony2-1.0-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 15 Fedora Update System 2012-06-26 13:31:48 EDT
php-channel-symfony2-1.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 16 Fedora Update System 2012-06-26 17:26:49 EDT
php-channel-symfony2-1.0-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 17 Fedora Update System 2012-06-26 17:37:26 EDT
php-channel-symfony2-1.0-3.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.